--question quit window
--------------------------------------------------------------------
function OnShow()
    s.sys_menu_question_quit=1
end

function OnCreate()
    s.sys_menu_question_quit=1
end

function OnDestroy()
    s.sys_menu_question_quit=0
end

function OnHide()
    s.sys_menu_question_quit=0
end
--------------------------------------------------------------------
-- button
function question_quit_no()
    UI:DelWidget("question_quit")
end

function question_quit_yes()
    Game:Exit()
end

function KeyPress(_sender,_key)
    if _key == KC_ESCAPE then
      UI:DelWidget("question_quit")
    end
end
--------------------------------------------------------------------